package com.docus.server.sdry.converter;

import com.docus.server.sdry.collector.ShouMaCollectResult;
import com.docus.server.sdry.entity.ShouMaView;

/**
 * @author YongBin Wen
 * @date 2024/7/12 15:00
 */
public class ShouMaConverter {
    public static ShouMaCollectResult convertResult(ShouMaView shouMaView) {
        if (shouMaView == null) {
            return null;
        }
        ShouMaCollectResult result = new ShouMaCollectResult();
        result.setFileNo(shouMaView.getFID());
        result.setInpatientNo(shouMaView.getFBIHID());
        result.setAdmissTimes(shouMaView.getFBINCU());
        result.setFileTitle(shouMaView.getPDESC());
        result.setFilePath(shouMaView.getPDFPATH());
        result.setUpdateTime(shouMaView.getFUPDATE());
        return result;
    }
}
